# std::char_traits::eq_int_type

From cppreference.com
< cpp‎ | string‎ | char traits

static bool eq_int_type( int_type c1, int_type c2 ); |  | (until C++11)
static constexpr bool eq_int_type( int_type c1, int_type c2 ); |  | (since C++11)

Checks whether two values of type `int_type` are equal.

### Parameters

c1, c2 | - | values to compare

### Return value

true if `c1` is equal to `c2`, false otherwise.

### Exceptions

(none) | (until C++11)
`noexcept` specification: noexcept | (since C++11)

### Complexity

Constant.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/string/char_traits/eq_int_type&oldid=91913"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template